Cash ledger for a Shares account.

Query Parameters
  • organisationCode
    Type: string
  • branchCode
    Type: string
  • advisorCode
    Type: string
  • accountNumber
    Type: string
  • fromDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • toDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • reference
    Type: string
  • currency
    Type: string
  • outstandinglyOnly
    Type: boolean
Responses
  • application/json
Request Example for get/connect-data/accountcashledgers/v1
curl https://api.uat.openbroker.io/connect-data/accountcashledgers/v1
[
  {
    "organisationCode": "TPOMAL",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "accountNumber": "111888",
    "currency": "AUD",
    "ledgerDate": "2025-06-11",
    "settlementDate": "2025-06-13",
    "transactionSource": "ContractNote",
    "transactionCode": "BUY",
    "status": "Unsettled",
    "reference": "5600123",
    "description": "Buy 200 BHP.ASX",
    "amount": -9528.45,
    "runningBalance": 5471.55,
    "outstandingAmount": -9528.45,
    "trustableAmount": -9480,
    "nonTrustableAmount": -48.45,
    "settlementMethod": "DirectDebit"
  }
]